質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.12%

HomebrewでMysqlをインストールできない

解決済

回答 1

投稿

  • 評価
  • クリップ 0
  • VIEW 2,011

ogw

score 6

 解決したい事

  • Mysql5.7を利用したい
  • インストールしてもcommand not foundになってしまう。
$ mysql --version
-bash: mysql: command not found

 環境

Mac OX 10.11.4(El Captain)

 試した事

$ brew reinstall mysql@5.7
==> Reinstalling mysql@5.7 
==> Downloading https://homebrew.bintray.com/bottles/mysql@5.7-5.7.23.el_capitan
Already downloaded: /Users/oogw/Library/Caches/Homebrew/mysql@5.7--5.7.23.el_capitan.bottle.tar.gz
==> Pouring mysql@5.7--5.7.23.el_capitan.bottle.tar.gz
==> Caveats
We've installed your MySQL database without a root password. To secure it run:
    mysql_secure_installation

MySQL is configured to only allow connections from localhost by default

To connect run:
    mysql -uroot

mysql@5.7 is keg-only, which means it was not symlinked into /usr/local,
because this is an alternate version of another formula.

If you need to have mysql@5.7 first in your PATH run:
  echo 'export PATH="/usr/local/opt/mysql@5.7/bin:$PATH"' >> ~/.bash_profile

For compilers to find mysql@5.7 you may need to set:
  export LDFLAGS="-L/usr/local/opt/mysql@5.7/lib"
  export CPPFLAGS="-I/usr/local/opt/mysql@5.7/include"

For pkg-config to find mysql@5.7 you may need to set:
  export PKG_CONFIG_PATH="/usr/local/opt/mysql@5.7/lib/pkgconfig"


To have launchd start mysql@5.7 now and restart at login:
  brew services start mysql@5.7
Or, if you don't want/need a background service you can just run:
  /usr/local/opt/mysql@5.7/bin/mysql.server start
==> Summary
🍺  /usr/local/Cellar/mysql@5.7/5.7.23: 317 files, 235.2MB
$ ls /usr/local/bin/
VBoxAutostart                gvpack
VBoxBalloonCtrl                gvpr
VBoxBugReport                gxl2dot
VBoxDTrace                gxl2gv
VBoxHeadless                heroku
VBoxManage                ifnames
VBoxVRDP                img2webp
VirtualBox                initdb
acyclic                    jpegtran
annotate                libpng-config
apm                    libpng16-config
atom                    meteor
autoconf                mm2gv
autoheader                neato
autom4te                node
autoreconf                nop
autoscan                npm
autoupdate                npx
bcomps                    oid2name
bdftogd                    osage
brew                    pal2rgb
c++-8                    patchwork
ccmake                    pg_archivecleanup
ccomps                    pg_basebackup
chromedriver                pg_config
circo                    pg_controldata
cjpeg                    pg_ctl
cluster                    pg_dump
clusterdb                pg_dumpall
cmake                    pg_isready
cmakexbuild                pg_receivewal
cpack                    pg_recvlogical
cpp-8                    pg_resetwal
createdb                pg_restore
createuser                pg_rewind
ctest                    pg_standby
cwebp                    pg_test_fsync
diffimg                    pg_test_timing
dijkstra                pg_upgrade
djpeg                    pg_waldump
dot                    pgbench
dot2gxl                    pkg-config
dot_builtins                png-fix-itxt
dropdb                    pngfix
dropuser                pngtogd
dwebp                    pngtogd2
ecpg                    postgres
edgepaint                postmaster
fax2ps                    ppm2tiff
fax2tiff                prune
fc-cache                psql
fc-cat                    raw2tiff
fc-conflist                rbenv
fc-list                    rbenv-communal-gem-home
fc-match                rbenv-communize
fc-pattern                rbenv-install
fc-query                rbenv-sequester
fc-scan                    rbenv-uninstall
fc-validate                rdjpgcom
fdp                    reindexdb
freetype-config                ruby-build
g++-8                    sccmap
gc                    selenium-server
gcc-8                    sfdp
gcc-ar-8                tiff2bw
gcc-nm-8                tiff2pdf
gcc-ranlib-8                tiff2ps
gcov-8                    tiff2rgba
gcov-dump-8                tiffcmp
gcov-tool-8                tiffcp
gd2copypal                tiffcrop
gd2togif                tiffdither
gd2topng                tiffdump
gdcmpgif                tiffinfo
gdlib-config                tiffmedian
gdparttopng                tiffset
gdtopng                    tiffsplit
gfortran                tred
gfortran-8                twopi
gibo                    unflatten
giftogd2                vacuumdb
git                    vacuumlo
git-cvsserver                vagrant
git-receive-pack            vbox-img
git-shell                vboxwebsrv
git-upload-archive            webpinfo
git-upload-pack                webpmux
gitk                    webpng
glibtool                wrjpgcom
glibtoolize                x86_64-apple-darwin15.6.0-c++-8
gml2gv                    x86_64-apple-darwin15.6.0-g++-8
graphml2gv                x86_64-apple-darwin15.6.0-gcc-8
gv2gml                    x86_64-apple-darwin15.6.0-gcc-8.2.0
gv2gxl                    x86_64-apple-darwin15.6.0-gcc-ar-8
gvcolor                    x86_64-apple-darwin15.6.0-gcc-nm-8
gvgen                    x86_64-apple-darwin15.6.0-gcc-ranlib-8
gvmap                    x86_64-apple-darwin15.6.0-gfortran-8
$ brew info mysql
mysql: stable 8.0.12
Open source relational database management system
https://dev.mysql.com/doc/refman/8.0/en/
Conflicts with:
  mariadb (because mysql, mariadb, and percona install the same binaries.)
  mariadb-connector-c (because both install plugins)
  mysql-cluster (because mysql, mariadb, and percona install the same binaries.)
  mysql-connector-c (because both install MySQL client libraries)
  percona-server (because mysql, mariadb, and percona install the same binaries.)
Not installed
From: https://github.com/Homebrew/homebrew-core/blob/master/Formula/mysql.rb
==> Dependencies
Build: cmake ✔
Required: openssl ✔
==> Requirements
Required: macOS >= 10.10 ✔
==> Options
--with-debug
    Build with debug support
--with-embedded
    Build the embedded server
--with-local-infile
    Build with local infile loading support
--with-memcached
    Build with InnoDB Memcached plugin
--with-test
    Build with unit tests
==> Caveats
We've installed your MySQL database without a root password. To secure it run:
    mysql_secure_installation

MySQL is configured to only allow connections from localhost by default

To connect run:
    mysql -uroot

To have launchd start mysql now and restart at login:
  brew services start mysql
Or, if you don't want/need a background service you can just run:
  mysql.server start
MBP:$ brew link mysql
Error: No such keg: /usr/local/Cellar/mysql
$ brew list
autoconf            heroku                mysql@5.7
chromedriver            heroku-node            node
cmake                icu4c                openssl
fontconfig            isl                pkg-config
freetype            jpeg                postgresql
gcc                libmpc                rbenv
gd                libpng                rbenv-communal-gems
gibo                libtiff                readline
git                libtool                ruby-build
gmp                mpfr                selenium-server-standalone
graphviz            mysql                webp
  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

0

brew doctorと打つとどうなりますでしょうか?
エラーなど出てないでしょうか?エラーがある場合修復するコマンドを教えてくれます。
自分の場合は大抵これで直ります。

brew listmysql(8.0.12?)とmysql@5.7があるのも気になりますね。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2018/08/30 14:53

    あ、ちゃんと動いているのですね。サーバーは5.7でバージョンが表示されていますね。
    良かったです。(ちょっとmysql v8だけが釈然としないですねw)
    クライアントのバージョンがサーバーと違うだけ?うーん

    キャンセル

  • 2018/08/30 14:56

    > 色々調べてみたのですが、下記の解釈としては、バージョン指定しないでインストールした場合、mysql 8.0.12がインストールされますよ。という解釈で問題ないでしょうか。

    そういうことかもしれませんね。

    > Distrib 5.7.23

    クライアントも5.7.23になってるからいいのか

    キャンセル

  • 2018/08/30 15:35

    ご丁寧に回答頂きありがとうございました!
    初学者の自分にとって今回の件を通して学びが多かったです。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.12%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる